Summary:	Gettext translation file editor
Name:		poedit
Version:	1.4.2
Release:	%mkrel 2
License:	MIT
Group:		Editors
URL:		http://www.poedit.net
Source0:	http://nchc.dl.sourceforge.net/sourceforge/poedit/%{name}-%{version}.tar.gz
Patch0:		poedit-1.3.9-fix-desktop-file.patch
Requires:	gettext
BuildRequires:	wxgtku-devel >= 2.8
BuildRequires:	libdb4.6-devel
BuildRequires:	gtkspell-devel
BuildRequires:	zip
Requires(Pre):	shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Poedit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%prep
%setup -q
%patch0 -p0

%build
# wx-config is brain-damaged. Damn you, multiarch, damn you
%configure2_5x --with-wx-config=%{_bindir}/wx-config-unicode
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

# remove files not bundled
%__rm -f %{buildroot}/%{_iconsdir}/poedit.xpm

%find_lang %{name}

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%endif

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS TODO 
%dir %{_datadir}/poedit
%{_bindir}/poedit
%{_iconsdir}/*
%{_mandir}/man1/*
%{_datadir}/poedit/help/*
%{_datadir}/poedit/icons/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*


%changelog
* Wed Oct 01 2008 Funda Wang <fundawang@mandriva.org> 1.4.2-2mdv2009.0
+ Revision: 290309
- fix wrong locale location

* Sun Sep 07 2008 Funda Wang <fundawang@mandriva.org> 1.4.2-1mdv2009.0
+ Revision: 282073
- update to new version 1.4.2

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1-2mdv2009.0
+ Revision: 229885
- do not package COPYING file

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Frederik Himpe <fhimpe@mandriva.org> 1.4.1-1mdv2009.0
+ Revision: 200924
- New version

* Sun Jan 13 2008 Emmanuel Andry <eandry@mandriva.org> 1.3.9-2mdv2008.1
+ Revision: 150435
- use db4.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - fix name and URL

* Tue Dec 11 2007 Funda Wang <fundawang@mandriva.org> 1.3.9-1mdv2008.1
+ Revision: 117337
- New version 1.3.9

* Tue Jul 10 2007 Funda Wang <fundawang@mandriva.org> 1.3.7-1mdv2008.0
+ Revision: 50799
- BR wxgtku 2.8
- BR gtk2.6-devel
- New version


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.3.6-3mdv2007.0
+ Revision: 131942
- build with wxgtk2.8 and db4.5

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.3.6-2mdv2007.1
+ Revision: 100704
- rebuild

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.6-1mdv2007.1
+ Revision: 90147
- New version 1.3.6
- Drop patch0
  xdg menu

  + Lenny Cartier <lenny@mandriva.com>
    - Import poedit

* Sat Nov 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.4-2mdk
- rebuild against libcairo2
- macroszification

* Wed Oct 05 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.4-1mdk
- 1.3.4

* Wed Jul 06 2005 Abel Cheung <deaddog@mandriva.org> 1.3.3-2mdk
- Make sure to build with wxGTK 2.6 with unicode support
- makeinstall_std
- Drop semistatic support, never tested and broken for ages
- Use source bundled icons, which are much clearer
- Patch0: Avoid detection of GNOME/KDE desktop. Install desktop
  stuff manually to avoid annoying GNOME 1.x / KDE dependency

* Tue Jun 28 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.3.3-1mdk
- 1.3.3
- use mkrel

* Sat Jan 29 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.2-1mdk
- 1.3.2

* Thu Sep 16 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.1-1mdk
- 1.3.1
- removed P0
- makeinstall instead of makeinstall_std
- build with gtkspell
- fixed menu section

* Wed Sep 08 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.3.0-1mdk
- 1.3.0
- this version is a little bit broken, there is some known nasty bugs which
  will be fixed in 1.3.1 available soon
- added temporary P0 which allow build poedit with wxGTK2.5.1 (thanks for patch
  to Vaclav Slavik)
- improved icons installation

* Tue Jun 08 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.2.5-2mdk
- rebuild with libstdc++6
- some macroszification, update section

